﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[TMPFIL]') AND name = N'XTMPFIL1')
BEGIN 
PRINT 'Creating index XTMPFIL1 on table TMPFIL'
CREATE NONCLUSTERED INDEX [XTMPFIL1] ON [dbo].[TMPFIL] 
(
	[WSID] ASC,
	[FKEY] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[TMPFIL]') AND name = N'XTMPFIL2')
BEGIN 
PRINT 'Creating index XTMPFIL2 on table TMPFIL'
CREATE NONCLUSTERED INDEX [XTMPFIL2] ON [dbo].[TMPFIL] 
(
	[DATE1] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

